class LifePex::UserPex < Sequel::Model(:user_pexs)
  many_to_one :user
  many_to_one :pex

  def self.last_inserted_at(user_id)
    LifePex::UserPex
      .join(:pexs, :id => :pex_id)
      .where(Sequel[:user_pexs][:user_id] => user_id)
      .group(:pex_id)
      .select_append{max(created_at).as(:last_inserted_at)}
  end
end
