require "dotenv"

def get_env
  ENV.fetch("LIFEPEX_ENV") { "development" }
end

def load_dotenv(app_env = nil)
  app_env ||= get_env
  Dotenv.load(".env.#{app_env}.local", ".env.local", ".env")
  app_env
end
